Subject: Re: [PATCH 3/4] Default to displaying /all/ non-tag refs, not just locals

From: Andreas Ericsson <[email-masked]>
Date: Fri, 03 Nov 2006 11:55:56 +0100

Andy Parkins wrote:
> On Friday 2006 November 03 02:40, Junio C Hamano wrote:
> 
>> That is a change in behaviour and given that we introduced
>> remotes for the explicit purpose of not to clutter the local
>> branch namespace, I doubt defaulting to _show_ remotes is a good
> 
> Really?  I had imagined it was to prevent accidental checking out of an 
> upstream-tracking branch.  Also; I don't think "not cluttering the namespace" 
> is the same as "not showing multiple namespaces".  The local namespace 
> remains as uncluttered as it ever was.  This is a question of what to 
> display.
> 
> Assuming my "mixed mode" display thing were in place, doesn't that make the 
> two choices of UI
> 
> 1)
>  git-branch            : show local branches
>  git-branch --all      : show local and remote branches
>  git-branch -r         : show remote branches
> 2)
>  git-branch            : show local and remote branches
>  git-branch --local    : show local branches
>  git-branch -r         : show remote branches
> 
> In case 2) the switch is simply selecting a filter, and so fits in with 
> the "-r" better.
> 

I think it'd make more sense if git-branch could instead take a --filter 
parameter that does a simple strncmp(filter, branch, strlen(filter)) to 
see if it should show a branch or not. That way, "--filter=remotes" 
would work splendidly. "local" as keyword to "--filter" could possibly 
be a special case and need documentation.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se